Bug 550481 - qemu-rpm slower than qemu when compiled from source
qemu-rpm slower than qemu when compiled from source
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-25 08:56 EST by Juan P. Daza P.
Modified: 2010-06-10 10:39 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 10:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan P. Daza P. 2009-12-25 08:56:59 EST
Description of problem:
I installed qemu-system-x86-0.11.0-12.fc12.x86_64.rpm and when trying to install an OS (I tried with: Fedora 11,ubuntu 9.04 server, ubuntu 8.04 server, ubuntu 8.04 jeos, graphical installation and ncurses) this almost take 4 hours to be completed or sometimes it dies in the process.

Then I removed that package but maintain the kvm module: qemu-kvm-0.11.0-12.fc12.x86_64.rpm and decided to compile from source: qemu-kvm-0.11.0.tar.gz.

To compile from source I added the pciutils-devel.x86_64 0:3.1.4-6.fc12.rpm and then ./configure && make && make install.

Installing the same OS takes 15 minutes.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.11.0-12.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
see description
  
Actual results:
Installing and operating system takes too much time

Expected results:
Install and operating system in the usual time

Additional info:
HW:
 HP pavilion dv6448se
 AMD Turion(tm) 64 X2 Mobile Technology TL-56 800Mhz (with bios virtualization  parameter enabled)
 RAM 3GB
Comment 1 Glauber Costa 2009-12-25 09:56:45 EST
This probably means you're not using kvm. Can you confirm that by typing "info kvm" into the monitor?
Comment 2 Juan P. Daza P. 2009-12-25 14:48:36 EST
In both cases (rpm and source) the kvm option was enabled.

As an additional test I want to reinstall the rpm, but the source makefile does not has the uninstall option.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Juan P. Daza P. 2009-12-25 16:14:25 EST
It looks I'm wrong, I've reinstalled the rpm and check out that no kvm support is installed with the package by default, that's why its slow behaviour.

Furthermore '-enable-kvm' is not a valid option, it seems that is not compiled by default.

I did:
sudo yum install qemu-system-x86 qemu-kvm

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Admin XMLRPC Client 2010-03-09 12:18:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Michal Schmidt 2010-06-10 08:26:11 EDT
Which qemu binary do you run? For KVM support you have to run /usr/bin/qemu-kvm.
Comment 6 Juan P. Daza P. 2010-06-10 10:38:37 EDT
Hi,

I've upgraded to F13 and the behaviour of qemu has been fixed (it loads correctly the kvm functionality).

Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.